using System;

namespace Upoznavanje
{
    public class Program
    {
        public static void Main(string[] args)
        {
            int n, x;
            int brsekund=0;
            string[] b;
            string t;
            int[] niz;
            string s = Console.ReadLine();
            string[] a = s.Split();
            n = int.Parse(a[0]);
            x = int.Parse(a[1]);
            t = Console.ReadLine();
            b = t.Split();
            niz = new int[b.Length];
            for (int i = 0; i < b.Length; i++)
            {
                niz[i] = int.Parse(b[i]);
            }
            for (int i = 0; i < niz.Length - 1; i++)
            {
                if (niz[i] > niz[i + 1])
                {
                    int pomoc = niz[i];
                    niz[i] = niz[i + 1];
                    niz[i + 1] = pomoc;
                }
            }
            for (int i = 0; i < niz.Length; i++)
            {
                if (niz[i] < x)
                {
                    brsekund = brsekund + (x - niz[i]);
                    x = niz[i];
                }
                else if (niz[i] > x)
                {
                    brsekund = brsekund + (niz[i] - x);
                    x = niz[i];
                }


            }
            Console.WriteLine(brsekund);
        }
    }
}